import { ApiCall, BaseConnection } from "tsrpc";
import { ReqLogin, ResLogin } from "../../shared/protocols/account/PtlLogin";
import { ServiceType } from "../../shared/protocols/serviceProto";

export default async function (call: ApiCall<ReqLogin, ResLogin>) {
	// Error
	if (!call.req.name) {
		call.error("Name is empty");
		return;
	}

	// Success
	const { name } = call.req;
	const conn: BaseConnection<ServiceType> = call.conn;
	console.log(`name: ${name} is Login`);
	conn.UserId = conn.id;
	conn.NickName = name;
	call.succ(0);
}